org.apache.fop.configuration

## Class DefaultConfigurationBuilder

- java.lang.Object
- - org.apache.fop.configuration.DefaultConfigurationBuilder

    public class DefaultConfigurationBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DefaultConfigurationBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DefaultConfiguration` `build(InputStream confStream)`
`DefaultConfiguration` `buildFromFile(File file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultConfigurationBuilder

    public DefaultConfigurationBuilder()

### Method Detail

#### build

    public DefaultConfiguration build(InputStream confStream)
                               throws ConfigurationException

Throws:
  `ConfigurationException`

#### buildFromFile

    public DefaultConfiguration buildFromFile(File file)
                                       throws ConfigurationException

Throws:
  `ConfigurationException`